DIPlib Documentation - ©1995-2015 Quantitative Imaging Group, Delft University of Technology.

# DataTypeArrayFree

Array free function

## SYNOPSIS

dip_Error dip_DataTypeArrayFree ( array )

## FUNCTION

This function frees `*array`, and sets `array` to zero.

## ARGUMENTS

Data type | Name | Description
`dip_DataTypeArray *` | `array` | Array

## SEE ALSO

DIPlib's data types

`DataTypeArrayNew`, `DataTypeArrayFree`, `DataTypeArrayCopy`, `DataTypeArrayFind`

`ArrayFree`, `IntegerArrayFree`, `FloatArrayFree`, `ComplexArrayFree`, `BoundaryArrayFree`, `FrameWorkProcessArrayFree`, `DataTypeArrayFree`, `ImageArrayFree`, `BooleanArrayFree`, `VoidPointerArrayFree`, `StringArrayFree`, `CoordinateArrayFree`